%define group Networking/Other
%define version 0.9.6

Name: bridge-utils
Version: %{version}
Release: 2mdk
Source0: http://bridge.sourceforge.net/bridge-utils/%{name}-%{version}.tar.bz2
#Patch0:	%{name}-opt.patch.bz2
Patch1:	%{name}-%{version}-rootonly.patch.bz2
License:	GPL
BuildRoot: %{_tmppath}/%{name}-buildroot

Summary: Utilities for configuring the linux ethernet bridge
Group: %{group}
URL: http://bridge.sourceforge.net/
BuildRequires: kernel-headers

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

%description -l pl
Ten pakiet zawiera narzdzia przeznaczone do konfigurowania linuxowego
ethernet bridge (inteligentny switch). Linux ethernet bridge moe by
uyty do czenia kilku ethernetowych interfejsw sieciowych w jeden.
Poczenie jest w peni przeroczyste; hosty przyczone po jednej
stronie widz hosty z drugiej strony bezporednio.

%package devel
Summary:	Libraries for the linux ethernet bridge programs.
Summary(pl):	Biblioteki uywane do sterowania linuxowym bridge.
Group:		Development/C

%description devel
This package contains the header and object files necessary for
developing programs which use 'libbridge', the interface to the linux
kernel ethernet bridge.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe i bibliotek konieczn do rozwoju
programw uywajcych 'libbridge' - interfejs do linuxowego ethernet
bridge.

%prep
%setup -q -n %{name}
#%patch0 -p1
%patch1 -p1

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_libdir},%{_includedir}} \
	$RPM_BUILD_ROOT%{_mandir}/man8

install brctl/brctl		$RPM_BUILD_ROOT%{_sbindir}
chmod 0644 doc/*
install doc/*.8			$RPM_BUILD_ROOT%{_mandir}/man8
install libbridge/libbridge.a	$RPM_BUILD_ROOT%{_libdir}
install libbridge/libbridge.h	$RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/{FAQ,FIREWALL,HOWTO,WISHLIST}
%doc %{_mandir}/man*/*
%{_sbindir}/*

%files devel
%defattr(-,root,root)
%doc %{_mandir}/man*/*
%{_libdir}/*.a
%{_includedir}/*.h

%changelog
* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.6-2mdk
- rebuild
- drop unapplied P0

* Fri Jan 10 2003 Florin <florin@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6
- update the rootonly patch
- comment out the opt patch

* Mon Apr 29 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.5-1mdk
- Bump release.
- Only include documentation in one package, not both.

* Wed Oct 17 2001 dam's <damien@mandrakesoft.com> 0.9.3-1mdk
- first mandrake package inspired by the PLD one.
